- Home
- API Enriched
- Shape
- shape
- Insight Event: Total Automation.
Insight Event: Total Automation.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/reporting/insight/total-automation';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"date":"example","namespace":"example","region":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/reporting/insight/total-automation \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "date": "example", "namespace": "example", "region": "example" }'GET Insight Totol Automation data.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace
x-required Namespace.
Request Bodyrequired
Section titled “Request Bodyrequired”Insight Request.
object
Date Format: YYYY/MM/DD Required: YES.
Namespace Required: YES.
Region Required: YES.
Examplegenerated
{ "date": "example", "namespace": "example", "region": "example"}Responses
Section titled “Responses”A successful response.
Response for Total Automation Insight Event.
object
Number of HTTP requests identified as automated traffic.
The percentage of the number of automated traffic / the total number.
UTC Create Date in seconds.
The number of Endpoint.
Endpoint or connection point
Number of HTTP requests identified as good bot traffic within specified time interval.
The percentage of the number of good bot traffic / the total number.
Number of HTTP requests identified as human traffic.
The percentage of the number of human traffic / the total number.
Number of HTTP requests identified as malicious bot traffic.
The percentage of the number of malicious bot traffic / the total number.
Number of HTTP requests identified as traffic channel is mobile.
The percentage of the number of traffic channel:mobile / the total number.
Number of HTTP requests identified as other traffic within specified time interval.
The percentage of the number of others traffic / the total number.
The majority of automated traffic channel.
Number of HTTP requests identified as traffic channel is web.
The percentage of the number of traffic channel:web / the total number.
Examplegenerated
{ "automated": "example", "automated_percentage": 1, "create_date": 1, "endpoint": "example", "endpoint_label": "example", "good_bot": "example", "good_bot_percentage": 1, "human": "example", "human_percentage": 1, "malicious_bot": "example", "malicious_bot_percentage": 1, "mobile": "example", "mobile_percentage": 1, "others": "example", "others_percentage": 1, "traffic_channel": "example", "web": "example", "web_percentage": 1}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example